* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', system-ui, sans-serif;

}

body {
    min-height: 100vh;
    font-family: Arial, sans-serif;
}


/* ===== LIGHT THEME (default) ===== */


:root {

    --bg-color: #eff2f8cf;
    --text-color: #111111e2;
    --bg2-color: #05050532;

    --box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);

    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;

    --btn: #0004FF;
    --tital: #1bc8df;


    --headr-body: #0d1117;
    --headr-text: #eff2f8cf;

}

body.dark-mode {

    --bg-color: #0d1117;
    --text-color: #f0f6fc;
    --bg2-color: #ffffff5b;


    --box-shadow: 0 10px 25px rgba(84, 84, 84, 0.498);

    --tital: #1bc8df;
    /* --btn: #3270ff; */


    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;


    --headr-body: #111111cf;
    --headr-text: #eff2f8cf;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
}





.main-content {
    background-color: var(--bg-color, white);
    color: var(--text-color, rgb(11, 11, 11));
}





/* ============================================= */
a {
    text-decoration: none;
}

.btn {
    padding: 10px 25px;
    box-shadow: 0 0 1px 1px;
    border-radius: 5px;
    transition: all 0.3s ease;
    border: 3px double;
}

.btnf {
    background-color: var(--btn, #4da3ff);
    color: #ffffff;
}

.btns {
    background-color: transparent;
    color: var(--tital);
}

.btn:hover {
    /* transform: translateY(-6px) scale(1.03); */
    transform: translateY(-0px);
    border-color: rgba(255, 255, 255, 0.3);
    filter: brightness(1.05);
    border: 3px dotted transparent;
}


@media (max-width:720px) {
    .btn {
        padding: 8px 12px;
    }
}



/* ================= HEADINGS ================= */

h1 {
    font-size: clamp(40px, 6vw, 80px);
    line-height: 1.1;
}

h2 {
    font-size: clamp(30px, 3vw, 45px);
    line-height: 1.2;
}



/* 
h3 {
    font-size: clamp(24px, 2.5vw, 40px);
    line-height: 1.3;
}

h4 {
    font-size: clamp(20px, 2vw, 30px);
    line-height: 1.4;
}

h5 {
    font-size: clamp(18px, 1.5vw, 24px);
    line-height: 1.5;
}

h6 {
    font-size: clamp(16px, 1.2vw, 20px);
    line-height: 1.5;
}


p {
    font-size: clamp(16px, 1.1vw, 22px);
    line-height: 1.8;
}

span {
    font-size: clamp(14px, 1vw, 18px);
}

small {
    font-size: clamp(12px, 0.9vw, 14px);
}


button,
.btn,
a {
    font-size: clamp(14px, 1vw, 18px);
}


input,
textarea,
select {
    font-size: clamp(14px, 1vw, 18px);
} */